## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qalculate-qt
Version:        5.6.0
Release:        %autorelease
Summary:        Powerful and easy to use calculator
# For translations, check data/io.github.Qalculate.qalculate-qt.metainfo.xml.
Summary(ca):    Calculadora poderosa i fàcil a usar
Summary(de):    Leistungsstarker und einfach zu bedienender Taschenrechner
Summary(en):    Powerful and easy to use calculator
Summary(es):    Calculadora poderosa y fácil de usar
Summary(fr):    Une calculatrice puissante et facile d'utilisation
Summary(nl):    Gemakkelijk te gebruiken rekenmachine met veel mogelijkheden
Summary(pt_BR): Calculadora potente e fácil de usar
Summary(pt_PT): Calculadora potente e fácil de usar
Summary(ru):    Мощный и простой в использовании калькулятор
Summary(sl):    Zmogljivo računalo, preprosto za uporabo
Summary(sv):    Kraftfull och användarvänlig miniräknare
Summary(zh_CN): 强大而易用的计算器
Summary(zh_TW): 強大且易用的計算機

# The entire source is GPL-2.0-or-later, except:
#   - data/io.github.Qalculate.qalculate-qt.metainfo.xml is CC0-1.0, which is
#     allowed for content only
License:        GPL-2.0-or-later AND CC0-1.0
URL:            https://qalculate.github.io/
# Some differences between the autogenerated tarballs and release tarballs
# https://github.com/Qalculate/qalculate-qt/issues/121
Source:         https://github.com/Qalculate/qalculate-qt/archive/v%{version}/qalculate-qt-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%global app_id io.github.Qalculate.qalculate-qt

BuildRequires:  gcc-c++

BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-linguist

BuildRequires:  pkgconfig(libqalculate) >= %(echo '%{version}' | cut -d . -f -3)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

BuildRequires:  desktop-file-utils
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

# For %%{_datadir}/icons/hicolor and its subdirectories:
Requires:       hicolor-icon-theme

# For translations, check data/io.github.Qalculate.qalculate-qt.metainfo.xml.
%description
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple
to use but provides power and versatility normally reserved for complicated
math packages, as well as useful tools for everyday needs (such as currency
conversion and percent calculation).

Features include a large library of customizable functions, unit calculations
and conversion, physical constants, symbolic calculations (including integrals
and equations), arbitrary precision, uncertainty propagation, interval
arithmetic, plotting, and a user-friendly interface.

%description -l ca
El Qalculate! és una calculadora d'escriptori per a diverses plataformes i
finalitats. És senzill a usar però proporciona poder i versatilitat que
normalment es reserva als paquets de matemàtica complicats, així com eines
útils per a necessitats diàries (com la conversió de monedes i calculació de
percentatge).

Les característiques inclouen una biblioteca amplia de funcions
personalitzables, calculació i conversió d'unitat, constants físics, càlculs
simbòlics (incloent integrals i equacions), precisió arbitrària, propagació
d'incertesa, aritmètica d'interval, dibuix i una interfície fàcil d'emprar.

%description -l de
Qalculate! ist ein vielseitig einsetzbarer, plattformübergreifender
Desktop-Rechner. Er ist einfach zu bedienen, bietet aber Leistung und
Vielseitigkeit die normalerweise nur für komplizierte mathematische Pakete
vorbehalten sind, sowie nützliche ls auch für den täglichen Bedarf (wie
Währungsumrechnung und Prozentrechnung).

Zu den Leistungsmerkmalen gehören eine große Bibliothek anpassbarer Funktionen,
Einheiten-berechnungen und -umrechnungen, physikalische Konstanten, symbolische
Berechnungen (einschließlich Integrale und Gleichungen), beliebige Genauigkeit,
Unsicherheits-fortpflanzung, Intervallarithmetik, Plotten und eine
benutzerfreundliche Oberfläche.

%description -l en
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple
to use but provides power and versatility normally reserved for complicated
math packages, as well as useful tools for everyday needs (such as currency
conversion and percent calculation).

Features include a large library of customizable functions, unit calculations
and conversion, physical constants, symbolic calculations (including integrals
and equations), arbitrary precision, uncertainty propagation, interval
arithmetic, plotting, and a user-friendly interface.

%description -l es
Qalculate! es una calculadora para escritorio multiplataforma y multiuso. Es
simple de usar pero dispone de poder y versatilidad normalmente reservada para
paquetes de matemática complicados, así como herramientas útiles para
necesidades diarias (como conversión de monedas y cálculo de porcentajes).

Las características incluyen una gran librería de funciones personalizables,
cálculo y conversión de unidades, constantes físicas, cálculos simbólicos
(incluyendo integrales y ecuaciones), precisión arbitraria, propagación de
incertidumbre, aritmética de intervalos, graficado, y una interfaz amigable.

%description -l fr
Qalculate! est une calculatrice de bureau polyvalente et multi-plateforme. Elle
est simple d'utilisation mais offre une puissance et une polyvalence
normalement réservées aux logiciels de mathématique complexe, ainsi que
d'outils utiles au quotidien (tels que la conversion de devises et le calcul de
pourcentages).

Les fonctionnalités incluent une grande bibliothèque de fonctions
personnalisables, d'unités de calculs et de conversion, de constantes
physiques, de calculs symboliques (y compris les intégrales et équations), de
précision arbitraire, de propagation des incertitudes, d'arithmétique
d'intervalle, de traçage et une interface facile d'utilisation.

%description -l pt_BR
Qalculate! é uma calculadora para desktop multiplataforma e multiuso. É simples
de usar, mas fornece poder e versatilidade normalmente vistas em pacotes de
matemática complicados, além de ferramentas úteis para as necessidades diárias
(como conversão de moeda e cálculo de porcentagem).

Os recursos incluem uma grande biblioteca de funções personalizáveis, cálculos
e conversão de unidades, constantes físicas, cálculos simbólicos (incluindo
integrais e equações), precisão arbitrária, propagação de erros, aritmética de
intervalos, plotagem e uma interface amigável.

%description -l pt_PT
Qalculate! é uma calculadora multiplataforma e multiuso. É simples de usar, mas
fornece poder e versatilidade normalmente vistas em pacotes de matemática
complicados, além de ferramentas úteis para as necessidades diárias (como
conversão de moeda e cálculo de percentagem).

Os recursos incluem uma grande biblioteca de funções personalizáveis, cálculos
e conversão de unidades, constantes físicas, cálculos simbólicos (incluindo
integrais e equações), precisão arbitrária, propagação de erros, aritmética de
intervalos, parcela e uma interface amigável.

%description -l ru
Qalculate! - это универсальный кроссплатформенный настольный калькулятор. Он
прост в использовании, но обеспечивает мощность и универсальность, обычно
присущие сложным математическим программам, а также полезные инструменты для
повседневных нужд (таких как конвертация валют и расчёт процентов).

Возможности включают большую библиотеку настраиваемых функций, расчёт и
преобразование единиц измерения, физические константы, символьные вычисления,
включая интегралы и уравнения, произвольную точность, распространение
неопределенности, интервальную арифметику, построение графиков и удобный
интерфейс.

%description -l sl
Qalculate! je večnamensko namizno računalo, ki deluje na več platformah. Je
preprosto za uporabo, prinaša pa tako napredna orodja, ponavadi značilna le za
kompleksno matematično programje, kot tudi uporabna orodja za vsakodnevne
potrebe (npr. pretvorbe valut ali izračun odstotkov).

Program vsebuje obsežno knjižnjico prilagodljivih funkcij, enot, izračunov in
pretvorb, fizikalnih konstant, simbolnih izračunov (tudi integrale in enačbe),
poljubno natančnost, statistično negotovost, intervalno aritmetiko, grafe in
uporabniku prijazen vmesnik.

%description -l zh_CN
Qalculate!是一款多功能的跨平台桌面计算器。
它简单易用，但却具有通常复杂的数学软件包所需的强大功能和多样性，
以及满足日常所需的实用工具(如货币换算和百分比计算)。

功能包括大量可定制函数库、单位计算与换算、物理常数、
符号计算(包括积分和方程)、高精度计算、误差传递、区间运算、
绘图和用户友好的界面。

%description -l zh_TW
Qalculate!是一款多功能的跨平台桌面計算器。
它使用簡單然而提供了通常為複雜的數學套件保留的能力和多功能性，
以及滿足日常需求的實用工具(例如貨幣轉換和百分比計算)。

功能包括龐大的可自訂函式庫、單位計算和轉換、物理常數、
符號計算(包括積分和方程式)、任意精確度、誤差傳播、區間算術、
繪圖和用戶友好的介面。


%prep
%autosetup -p1


%conf
%qmake_qt6 \
    PREFIX='%{_prefix}' \
    DESKTOP_DIR='%{_datadir}/applications' \
    DESKTOP_ICONS_DIR='%{_datadir}/icons' \
    APPDATA_DIR='%{_metainfodir}' \
    MAN_DIR='%{_mandir}'


%build
%make_build


%install
%make_install INSTALL_ROOT='%{buildroot}'

%find_lang qalculate-qt --with-qt


%check
desktop-file-validate '%{buildroot}%{_datadir}/applications/%{app_id}.desktop'
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'
# Matches what gnome-software and others use:
appstreamcli validate --no-net --explain \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'


%files -f qalculate-qt.lang
%license COPYING
%doc AUTHORS
%doc README

%{_bindir}/qalculate-qt
%{_mandir}/man1/qalculate-qt.1*

%{_datadir}/icons/hicolor/*/*/qalculate*

%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml

%dir %{_datadir}/qalculate-qt
# See qalculate-qt.lang for the files in this directory:
%dir %{_datadir}/qalculate-qt/translations


%changelog
## START: Generated by rpmautospec
* Mon Jun 30 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.6.0-2
- Localize the package summary and description text

* Mon Jun 30 2025 Packit <hello@packit.dev> - 5.6.0-1
- Update to 5.6.0 upstream release
- Resolves: rhbz#2375542

* Sun May 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.5.1-3
- Backport updated GPLv2 license text for remote-only FSF

* Sat May 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.5.1-2
- Add an .rpmlintrc file

* Mon Feb 24 2025 Packit <hello@packit.dev> - 5.5.1-1
- Update to 5.5.1 upstream release
- Resolves: rhbz#2347298

* Mon Jan 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.5.0-1
- Update to 5.5.0 upstream release
- Resolves: rhbz#2337370

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 26 2024 Packit <hello@packit.dev> - 5.4.0-1
- Update to 5.4.0 upstream release

* Tue Nov 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.3.0-3
- Remove Provides/Obsoletes for qalculate-kde upgrade path

* Sun Nov 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.3.0-2
- Invoke QMake in %%conf rather than in %%build

* Thu Oct 10 2024 Packit <hello@packit.dev> - 5.3.0-1
- Update to 5.3.0 upstream release
- Resolves: rhbz#2317845

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Packit <hello@packit.dev> - 5.2.0.1-1
- Update to 5.2.0.1 upstream release
- Resolves: rhbz#2279369

* Fri Jul 05 2024 Packit <hello@packit.dev> - 5.2.0-1
- Update to 5.2.0 upstream release
- Resolves: rhbz#2279369

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0.0-1
- [packit] 5.0.0 upstream release
- Resolves rhbz#2269053

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-8
- Use the autogenerated archive instead of the “release” archive
- Fixes an obsolete FSF postal address in the license file.
- Fixes the need to patch in upstream PR#103, which was released

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-7
- Add id to developer element in AppStream XML metadata
- Fixes failure to build/validate with appstream 1.0.2

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-5
- Configure Packit

* Sat Feb 17 2024 Jan Grulich <jgrulich@redhat.com> - 4.9.0-4
- Rebuild (qt6)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-1
- Update to 4.9.0 (close RHBZ#2251742)

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-4
- Fix deprecated top-level developer_name in AppData XML

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-3
- Ask appstreamcli to explain validation findings

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-2
- Correct appstreamcli invocation (--nonet no longer works)

* Mon Sep 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-1
- Update to 4.8.1 (close RHBZ#2239460)

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.0-1
- Update to 4.8.0 (close RHBZ#2233781)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.7.0-1
- Update to 4.7.0 (close RHBZ#2219686)

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-4
- Remove explicit %%set_build_flags, not needed since F36 > >
  https://www.fedoraproject.org/wiki/Changes/SetBuildFlagsBuildCheck

* Tue May 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-2
- Amend spec-file comment since F36 is EOL

* Wed Apr 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-1
- Update to 4.6.1 (close RHBZ#2187947)

* Mon Mar 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.0-1
- Update to 4.6.0 (close RHBZ#2175723)

* Fri Jan 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.5.1-1
- Update to 4.5.1 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.5.0-1
- Update to 4.5.0 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.4.0-2
- Leaf package: remove i686 support

* Tue Oct 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.4.0-1
- Update to 4.4.0 (close RHBZ#2135709)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.3.0-1
- Update to 4.3.0 (close RHBZ#2120616)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.0-3
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.0-1
- Update to 4.2.0 (close RHBZ#2090493)

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.1-2
- Provide an upgrade path for qalculate-kde in F37+

* Fri Apr 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.1-1
- Initial package (close RHBZ#2073772)
## END: Generated by rpmautospec
